# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerVector Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerVector.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerVector (const Standard_Integer &K, const gp_Vec &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
gp_Vec & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
gp_Vec | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerVector::MeshVS_DataMapNodeOfDataMapOfIntegerVector | ( | const Standard_Integer & | K,
|  | const gp_Vec & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerVector::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerVector::Key | ( |  | ) | const

gp_Vec& MeshVS_DataMapNodeOfDataMapOfIntegerVector::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerVector::myKey `[private]`

gp_Vec MeshVS_DataMapNodeOfDataMapOfIntegerVector::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerVector.hxx